> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List template messages



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/template-messages
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/template-messages:
    get:
      tags:
        - Template Messages
      summary: List template messages
      operationId: listTemplateMessagesWorkspaceTokenAPI
      parameters:
        - name: inboxId
          in: query
          schema:
            type: string
            pattern: \d+
          allowEmptyValue: true
          allowReserved: true
        - name: integrationWhatsappId
          in: query
          schema:
            type: string
            pattern: \d+
          allowEmptyValue: true
          allowReserved: true
        - name: status
          in: query
          schema:
            enum:
              - APPROVED
              - PENDING
              - REJECTED
            type: string
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    language:
                      type: string
                    category:
                      type: string
                    status:
                      type: string
                    components: {}
                    integrationWhatsappId: {}
                    integrationWhatsapp:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: \d+
                        name:
                          type: string
                        inboxId:
                          type: string
                          pattern: \d+
                        displayPhoneNumber:
                          type: string
                      required:
                        - id
                        - name
                        - inboxId
                        - displayPhoneNumber
                  required:
                    - id
                    - name
                    - language
                    - category
                    - status
                    - integrationWhatsapp
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````